# Makefile.in generated automatically by automake 1.5 from Makefile.am.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

SHELL = @SHELL@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
top_builddir = ../..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_HEADER = $(INSTALL_DATA)
transform = @program_transform_name@
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_alias = @build_alias@
build_triplet = @build@
host_alias = @host_alias@
host_triplet = @host@
target_alias = @target_alias@
target_triplet = @target@
AMTAR = @AMTAR@
AR = @AR@
AS = @AS@
AWK = @AWK@
CC = @CC@
CDLBINPATH = @CDLBINPATH@
CDLINCPATH = @CDLINCPATH@
CDLLIBFLAG = @CDLLIBFLAG@
CDLPATH = @CDLPATH@
CDLRTS = @CDLRTS@
CFLAGS = @CFLAGS@
CXX = @CXX@
CXXCPP = @CXXCPP@
DBG_OPT = @DBG_OPT@
DEBUG_LEX_OPT = @DEBUG_LEX_OPT@
DEBUG_REGEXP_OPT = @DEBUG_REGEXP_OPT@
DEBUG_RTS_OPT = @DEBUG_RTS_OPT@
DEPDIR = @DEPDIR@
DLLTOOL = @DLLTOOL@
ECHO = @ECHO@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
F77 = @F77@
GCJ = @GCJ@
GCJFLAGS = @GCJFLAGS@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
LEX = @LEX@
LIBTOOL = @LIBTOOL@
LIBTOOL_DEPS = @LIBTOOL_DEPS@
LN_S = @LN_S@
MACHDEPHOSTVAL = @MACHDEPHOSTVAL@
MEMLOG_OPT = @MEMLOG_OPT@
OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
RANLIB = @RANLIB@
RC = @RC@
STRIP = @STRIP@
VERSION = @VERSION@
YACC = @YACC@
am__include = @am__include@
am__quote = @am__quote@
install_sh = @install_sh@
my_cdlbinpath = @my_cdlbinpath@

bin_PROGRAMS = agfl agflmaint agfl-coder

nodist_include_HEADERS = machdep.h

agfl_coder_SOURCES = $(CDL3SRC) $(CSRC) $(LSRC)
agfl_coder_CFLAGS = @DBG_OPT@ -Wall $(AM_CFLAGS)
agfl_coder_LDADD = $(top_builddir)/liblexicon/src/liblexicon.la \
		     $(top_builddir)/libabase/src/libabase.la

agfl_coder_LDFLAGS = @CDLLIBFLAG@ @CDLRTS@
agfl_coder_DEPENDENCIES = $(agfl_coder_LDADD)

agflmaint_SOURCES = gen.c
agfl_SOURCES = gen.c
agfl_CFLAGS = @DBG_OPT@ -Wall -DGENBASE="\"$(prefix)\"" $(AM_CFLAGS)
agflmaint_CFLAGS = $(agfl_CFLAGS) -DMAINTAINER_MODE

INCLUDES = -I@CDLINCPATH@ \
	   -I$(top_srcdir)/liblexicon/src \
	   -I$(top_srcdir)/libabase/src


MACHDEP_HOST = @MACHDEPHOSTVAL@

EXTRA_DIST = pattern.c pattern.h dfa.h regex.c regex.h imatrix.h util.h warshall.h \
    machdep.i386-linux machdep.sparc-solaris machdep.dos machdep.common \
    machdep.irix Makefile.cygwin machdep.i386-freebsd machdep.ppc-darwin \
    machdep.alpha-netbsd  machdep.amd64-netbsd  machdep.i386-netbsd \
    machdep.amd64-freebsd machdep.amd64-linux


SUFFIXES = .k3

CDL3SRC = \
    affix.k3 \
    agfl.k3 \
    code.k3 \
    globals.k3 \
    heap.k3 \
    icoptimize.k3 \
    id.k3 \
    instructions.k3 \
    intermediate.k3 \
    io.k3 \
    lexer.k3 \
    list.k3 \
    modules.k3 \
    optimize.k3 \
    options.k3 \
    parser.k3 \
    properties.k3 \
    rule.k3 \
    set.k3 \
    textstorage.k3 \
    tokens.k3 \
    transduction.k3


CSRC = util.c warshall.c imatrix.c agflpattern.c dfa.c
subdir = gen/src
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
bin_PROGRAMS = agfl$(EXEEXT) agflmaint$(EXEEXT) agfl-coder$(EXEEXT)
PROGRAMS = $(bin_PROGRAMS)

am_agfl_OBJECTS = agfl-gen.$(OBJEXT)
agfl_OBJECTS = $(am_agfl_OBJECTS)
agfl_LDADD = $(LDADD)
agfl_DEPENDENCIES =
agfl_LDFLAGS =
am_agfl_coder_OBJECTS = agfl_coder-util.$(OBJEXT) \
	agfl_coder-warshall.$(OBJEXT) agfl_coder-imatrix.$(OBJEXT) \
	agfl_coder-agflpattern.$(OBJEXT) agfl_coder-dfa.$(OBJEXT)
agfl_coder_OBJECTS = $(am_agfl_coder_OBJECTS)
am_agflmaint_OBJECTS = agflmaint-gen.$(OBJEXT)
agflmaint_OBJECTS = $(am_agflmaint_OBJECTS)
agflmaint_LDADD = $(LDADD)
agflmaint_DEPENDENCIES =
agflmaint_LDFLAGS =

DEFS = @DEFS@
DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
LIBS = @LIBS@
depcomp = $(SHELL) $(top_srcdir)/depcomp
@AMDEP_TRUE@DEP_FILES = $(DEPDIR)/agfl-gen.Po \
@AMDEP_TRUE@	$(DEPDIR)/agfl_coder-agflpattern.Po \
@AMDEP_TRUE@	$(DEPDIR)/agfl_coder-dfa.Po \
@AMDEP_TRUE@	$(DEPDIR)/agfl_coder-imatrix.Po \
@AMDEP_TRUE@	$(DEPDIR)/agfl_coder-util.Po \
@AMDEP_TRUE@	$(DEPDIR)/agfl_coder-warshall.Po \
@AMDEP_TRUE@	$(DEPDIR)/agflmaint-gen.Po
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) \
	$(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES = $(agfl_SOURCES) $(agfl_coder_SOURCES) \
	$(agflmaint_SOURCES)
HEADERS = $(nodist_include_HEADERS)

DIST_COMMON = Makefile.am Makefile.in
SOURCES = $(agfl_SOURCES) $(agfl_coder_SOURCES) $(agflmaint_SOURCES)

all: all-am

.SUFFIXES:
.SUFFIXES: .k3 .c .lo .o .obj

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  gen/src/Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && \
	  CONFIG_HEADERS= CONFIG_LINKS= \
	  CONFIG_FILES=$(subdir)/$@ $(SHELL) ./config.status
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  if test -f $$p \
	     || test -f $$p1 \
	  ; then \
	    f=`echo $$p1|sed '$(transform);s/$$/$(EXEEXT)/'`; \
	   echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/$$f"; \
	   $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/$$f; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
	  echo " rm -f $(DESTDIR)$(bindir)/$$f"; \
	  rm -f $(DESTDIR)$(bindir)/$$f; \
	done

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
agfl-gen.$(OBJEXT): gen.c
agfl$(EXEEXT): $(agfl_OBJECTS) $(agfl_DEPENDENCIES) 
	@rm -f agfl$(EXEEXT)
	$(LINK) $(agfl_LDFLAGS) $(agfl_OBJECTS) $(agfl_LDADD) $(LIBS)
agfl_coder-util.$(OBJEXT): util.c
agfl_coder-warshall.$(OBJEXT): warshall.c
agfl_coder-imatrix.$(OBJEXT): imatrix.c
agfl_coder-agflpattern.$(OBJEXT): agflpattern.c
agfl_coder-dfa.$(OBJEXT): dfa.c
agflmaint-gen.$(OBJEXT): gen.c
agflmaint$(EXEEXT): $(agflmaint_OBJECTS) $(agflmaint_DEPENDENCIES) 
	@rm -f agflmaint$(EXEEXT)
	$(LINK) $(agflmaint_LDFLAGS) $(agflmaint_OBJECTS) $(agflmaint_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/agfl-gen.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/agfl_coder-agflpattern.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/agfl_coder-dfa.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/agfl_coder-imatrix.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/agfl_coder-util.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/agfl_coder-warshall.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/agflmaint-gen.Po@am__quote@

distclean-depend:
	-rm -rf $(DEPDIR)

.c.o:
@AMDEP_TRUE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(COMPILE) -c `test -f $< || echo '$(srcdir)/'`$<

.c.obj:
@AMDEP_TRUE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(COMPILE) -c `cygpath -w $<`

.c.lo:
@AMDEP_TRUE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(LTCOMPILE) -c -o $@ `test -f $< || echo '$(srcdir)/'`$<

agfl-gen.o: gen.c
@AMDEP_TRUE@	source='gen.c' object='agfl-gen.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/agfl-gen.Po' tmpdepfile='$(DEPDIR)/agfl-gen.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(agfl_CFLAGS) $(CFLAGS) -c -o agfl-gen.o `test -f gen.c || echo '$(srcdir)/'`gen.c

agfl-gen.obj: gen.c
@AMDEP_TRUE@	source='gen.c' object='agfl-gen.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/agfl-gen.Po' tmpdepfile='$(DEPDIR)/agfl-gen.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(agfl_CFLAGS) $(CFLAGS) -c -o agfl-gen.obj `cygpath -w gen.c`

agfl-gen.lo: gen.c
@AMDEP_TRUE@	source='gen.c' object='agfl-gen.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/agfl-gen.Plo' tmpdepfile='$(DEPDIR)/agfl-gen.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(agfl_CFLAGS) $(CFLAGS) -c -o agfl-gen.lo `test -f gen.c || echo '$(srcdir)/'`gen.c

agfl_coder-util.o: util.c
@AMDEP_TRUE@	source='util.c' object='agfl_coder-util.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/agfl_coder-util.Po' tmpdepfile='$(DEPDIR)/agfl_coder-util.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(agfl_coder_CFLAGS) $(CFLAGS) -c -o agfl_coder-util.o `test -f util.c || echo '$(srcdir)/'`util.c

agfl_coder-util.obj: util.c
@AMDEP_TRUE@	source='util.c' object='agfl_coder-util.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/agfl_coder-util.Po' tmpdepfile='$(DEPDIR)/agfl_coder-util.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(agfl_coder_CFLAGS) $(CFLAGS) -c -o agfl_coder-util.obj `cygpath -w util.c`

agfl_coder-util.lo: util.c
@AMDEP_TRUE@	source='util.c' object='agfl_coder-util.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/agfl_coder-util.Plo' tmpdepfile='$(DEPDIR)/agfl_coder-util.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(agfl_coder_CFLAGS) $(CFLAGS) -c -o agfl_coder-util.lo `test -f util.c || echo '$(srcdir)/'`util.c

agfl_coder-warshall.o: warshall.c
@AMDEP_TRUE@	source='warshall.c' object='agfl_coder-warshall.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/agfl_coder-warshall.Po' tmpdepfile='$(DEPDIR)/agfl_coder-warshall.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(agfl_coder_CFLAGS) $(CFLAGS) -c -o agfl_coder-warshall.o `test -f warshall.c || echo '$(srcdir)/'`warshall.c

agfl_coder-warshall.obj: warshall.c
@AMDEP_TRUE@	source='warshall.c' object='agfl_coder-warshall.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/agfl_coder-warshall.Po' tmpdepfile='$(DEPDIR)/agfl_coder-warshall.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(agfl_coder_CFLAGS) $(CFLAGS) -c -o agfl_coder-warshall.obj `cygpath -w warshall.c`

agfl_coder-warshall.lo: warshall.c
@AMDEP_TRUE@	source='warshall.c' object='agfl_coder-warshall.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/agfl_coder-warshall.Plo' tmpdepfile='$(DEPDIR)/agfl_coder-warshall.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(agfl_coder_CFLAGS) $(CFLAGS) -c -o agfl_coder-warshall.lo `test -f warshall.c || echo '$(srcdir)/'`warshall.c

agfl_coder-imatrix.o: imatrix.c
@AMDEP_TRUE@	source='imatrix.c' object='agfl_coder-imatrix.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/agfl_coder-imatrix.Po' tmpdepfile='$(DEPDIR)/agfl_coder-imatrix.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(agfl_coder_CFLAGS) $(CFLAGS) -c -o agfl_coder-imatrix.o `test -f imatrix.c || echo '$(srcdir)/'`imatrix.c

agfl_coder-imatrix.obj: imatrix.c
@AMDEP_TRUE@	source='imatrix.c' object='agfl_coder-imatrix.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/agfl_coder-imatrix.Po' tmpdepfile='$(DEPDIR)/agfl_coder-imatrix.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(agfl_coder_CFLAGS) $(CFLAGS) -c -o agfl_coder-imatrix.obj `cygpath -w imatrix.c`

agfl_coder-imatrix.lo: imatrix.c
@AMDEP_TRUE@	source='imatrix.c' object='agfl_coder-imatrix.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/agfl_coder-imatrix.Plo' tmpdepfile='$(DEPDIR)/agfl_coder-imatrix.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(agfl_coder_CFLAGS) $(CFLAGS) -c -o agfl_coder-imatrix.lo `test -f imatrix.c || echo '$(srcdir)/'`imatrix.c

agfl_coder-agflpattern.o: agflpattern.c
@AMDEP_TRUE@	source='agflpattern.c' object='agfl_coder-agflpattern.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/agfl_coder-agflpattern.Po' tmpdepfile='$(DEPDIR)/agfl_coder-agflpattern.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(agfl_coder_CFLAGS) $(CFLAGS) -c -o agfl_coder-agflpattern.o `test -f agflpattern.c || echo '$(srcdir)/'`agflpattern.c

agfl_coder-agflpattern.obj: agflpattern.c
@AMDEP_TRUE@	source='agflpattern.c' object='agfl_coder-agflpattern.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/agfl_coder-agflpattern.Po' tmpdepfile='$(DEPDIR)/agfl_coder-agflpattern.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(agfl_coder_CFLAGS) $(CFLAGS) -c -o agfl_coder-agflpattern.obj `cygpath -w agflpattern.c`

agfl_coder-agflpattern.lo: agflpattern.c
@AMDEP_TRUE@	source='agflpattern.c' object='agfl_coder-agflpattern.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/agfl_coder-agflpattern.Plo' tmpdepfile='$(DEPDIR)/agfl_coder-agflpattern.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(agfl_coder_CFLAGS) $(CFLAGS) -c -o agfl_coder-agflpattern.lo `test -f agflpattern.c || echo '$(srcdir)/'`agflpattern.c

agfl_coder-dfa.o: dfa.c
@AMDEP_TRUE@	source='dfa.c' object='agfl_coder-dfa.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/agfl_coder-dfa.Po' tmpdepfile='$(DEPDIR)/agfl_coder-dfa.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(agfl_coder_CFLAGS) $(CFLAGS) -c -o agfl_coder-dfa.o `test -f dfa.c || echo '$(srcdir)/'`dfa.c

agfl_coder-dfa.obj: dfa.c
@AMDEP_TRUE@	source='dfa.c' object='agfl_coder-dfa.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/agfl_coder-dfa.Po' tmpdepfile='$(DEPDIR)/agfl_coder-dfa.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(agfl_coder_CFLAGS) $(CFLAGS) -c -o agfl_coder-dfa.obj `cygpath -w dfa.c`

agfl_coder-dfa.lo: dfa.c
@AMDEP_TRUE@	source='dfa.c' object='agfl_coder-dfa.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/agfl_coder-dfa.Plo' tmpdepfile='$(DEPDIR)/agfl_coder-dfa.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(agfl_coder_CFLAGS) $(CFLAGS) -c -o agfl_coder-dfa.lo `test -f dfa.c || echo '$(srcdir)/'`dfa.c

agflmaint-gen.o: gen.c
@AMDEP_TRUE@	source='gen.c' object='agflmaint-gen.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/agflmaint-gen.Po' tmpdepfile='$(DEPDIR)/agflmaint-gen.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(agflmaint_CFLAGS) $(CFLAGS) -c -o agflmaint-gen.o `test -f gen.c || echo '$(srcdir)/'`gen.c

agflmaint-gen.obj: gen.c
@AMDEP_TRUE@	source='gen.c' object='agflmaint-gen.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/agflmaint-gen.Po' tmpdepfile='$(DEPDIR)/agflmaint-gen.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(agflmaint_CFLAGS) $(CFLAGS) -c -o agflmaint-gen.obj `cygpath -w gen.c`

agflmaint-gen.lo: gen.c
@AMDEP_TRUE@	source='gen.c' object='agflmaint-gen.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/agflmaint-gen.Plo' tmpdepfile='$(DEPDIR)/agflmaint-gen.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(agflmaint_CFLAGS) $(CFLAGS) -c -o agflmaint-gen.lo `test -f gen.c || echo '$(srcdir)/'`gen.c
CCDEPMODE = @CCDEPMODE@
uninstall-info-am:
install-nodist_includeHEADERS: $(nodist_include_HEADERS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(includedir)
	@list='$(nodist_include_HEADERS)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(INSTALL_HEADER) $$d$$p $(DESTDIR)$(includedir)/$$f"; \
	  $(INSTALL_HEADER) $$d$$p $(DESTDIR)$(includedir)/$$f; \
	done

uninstall-nodist_includeHEADERS:
	@$(NORMAL_UNINSTALL)
	@list='$(nodist_include_HEADERS)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(includedir)/$$f"; \
	  rm -f $(DESTDIR)$(includedir)/$$f; \
	done

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || etags $(ETAGS_ARGS) $$tags  $$unique $(LISP)

GTAGS:
	here=`CDPATH=: && cd $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH

DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

top_distdir = ../..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  if test -f $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    $(mkinstalldirs) "$(distdir)/$$dir"; \
	  fi; \
	  if test -d $$d/$$file; then \
	    cp -pR $$d/$$file $(distdir) \
	    || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(PROGRAMS) $(HEADERS)

installdirs:
	$(mkinstalldirs) $(DESTDIR)$(bindir) $(DESTDIR)$(includedir)

install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES) stamp-h stamp-h[0-9]*

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-binPROGRAMS clean-generic clean-libtool mostlyclean-am

distclean: distclean-am

distclean-am: clean-am distclean-compile distclean-depend \
	distclean-generic distclean-libtool distclean-tags

dvi: dvi-am

dvi-am:

info: info-am

info-am:

install-data-am: install-nodist_includeHEADERS

install-exec-am: install-binPROGRAMS

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am

maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

uninstall-am: uninstall-binPROGRAMS uninstall-info-am \
	uninstall-nodist_includeHEADERS

.PHONY: GTAGS all all-am check check-am clean clean-binPROGRAMS \
	clean-generic clean-libtool distclean distclean-compile \
	distclean-depend distclean-generic distclean-libtool \
	distclean-tags distdir dvi dvi-am info info-am install \
	install-am install-binPROGRAMS install-data install-data-am \
	install-exec install-exec-am install-info install-info-am \
	install-man install-nodist_includeHEADERS install-strip \
	installcheck installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-compile \
	mostlyclean-generic mostlyclean-libtool tags uninstall \
	uninstall-am uninstall-binPROGRAMS uninstall-info-am \
	uninstall-nodist_includeHEADERS

%.o: %.k3
	@CDLBINPATH@/cdlc -L @CDLINCPATH@/ $<

agfl-coder$(EXEEXT): $(CDL3SRC:.k3=.o) $(CSRC:.c=.o)
	@LIBTOOL@ $(CC) -o $@ $^ $(agfl_coder_LDADD) $(agfl_coder_LDFLAGS) 

machdep.h: $(srcdir)/$(MACHDEP_HOST) $(srcdir)/machdep.common Makefile
	cat $(srcdir)/$(MACHDEP_HOST) $(srcdir)/machdep.common > $@

agflpattern.o: $(srcdir)/pattern.c

#
# CDL3 does not yet generate dependencies, so:
#
affix.o: affix.k3 globals.k3 io.k3 id.k3 set.k3 rule.k3 list.k3 textstorage.k3
agfl.o: agfl.k3 globals.k3 options.k3 affix.k3 set.k3 rule.k3 io.k3 id.k3 code.k3 \
        optimize.k3 properties.k3 parser.k3 modules.k3 transduction.k3 \
        intermediate.k3 icoptimize.k3 textstorage.k3
code.o: code.k3 globals.k3 io.k3 rule.k3 id.k3 transduction.k3 intermediate.k3 \
	instructions.k3 set.k3 textstorage.k3 affix.k3 optimize.k3
globals.o: globals.k3 io.k3
heap.o: heap.k3
icoptimize.o: icoptimize.k3 id.k3 rule.k3 intermediate.k3 optimize.k3
id.o: id.k3 globals.k3 set.k3 io.k3 rule.k3 properties.k3
instructions.o: instructions.k3 io.k3 set.k3 id.k3 rule.k3 intermediate.k3 textstorage.k3
intermediate.o: globals.k3 intermediate.k3 io.k3 rule.k3 id.k3 set.k3 \
		properties.k3 textstorage.k3 transduction.k3 optimize.k3
io.o: io.k3 globals.k3
lexer.o: lexer.k3 globals.k3 tokens.k3 id.k3 io.k3 rule.k3 properties.k3
list.o: list.k3
modules.o: modules.k3 globals.k3 io.k3
optimize.o: optimize.k3 globals.k3 rule.k3 properties.k3 io.k3 id.k3 \
	    list.k3 textstorage.k3 transduction.k3
options.o: options.k3 globals.k3 io.k3
parser.o: parser.k3 globals.k3 tokens.k3 io.k3 id.k3 lexer.k3 set.k3 \
	  affix.k3 rule.k3 properties.k3 modules.k3 textstorage.k3 transduction.k3
properties.o: properties.k3 globals.k3 rule.k3 io.k3 heap.k3 \
	      list.k3 textstorage.k3 transduction.k3 id.k3
rule.o: rule.k3 globals.k3 io.k3 id.k3 affix.k3 set.k3 properties.k3 \
	list.k3 optimize.k3 textstorage.k3 transduction.k3
set.o: set.k3 globals.k3 io.k3
textstorage.o: textstorage.k3 io.k3 id.k3
tokens.o: tokens.k3
transduction.o: transduction.k3 globals.k3 io.k3 properties.k3 rule.k3 id.k3 \
		textstorage.k3 intermediate.k3
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
